Skip to main content

Interface: TokenAccessResult

Gala Launchpad SDK 9.0.0-rc.5


Gala Launchpad SDK 9.0.0-rc.5 / index / TokenAccessResult

Interface: TokenAccessResult

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:759

Token permissions response from GET /v1/permissions?tokenName=...

Used by frontend to determine if user can access Studio and what they can do.

Since​

5.11.0

Properties​

isOverseer​

isOverseer: boolean

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:769

Whether the user has platform-wide overseer access.


isOwner​

isOwner: boolean

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:767

Whether the user owns the token.


matchedPreset?​

optional matchedPreset?: MatchedPermissionPreset | null

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:765

Exact role preset match, or null when permissions are custom.


permissions​

permissions: TokenPermission[]

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:761

Effective permission names for the requested token.


source​

source: PermissionSource | null

Defined in: packages/launchpad-sdk/dist/types/streaming.dto.d.ts:763

How the permissions were granted, or null when there is no access.